Package com.xebialabs.deployit.plugin.api.udm

# Class BaseProvisioned<D extends Provisionable,C extends Container>

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,C>
com.xebialabs.deployit.plugin.api.udm.BaseProvisioned<D,C>

All Implemented Interfaces:
  `ConfigurationItem`, `Deployed<D,C>`, `EmbeddedDeployedContainer<D,C>`, `Provisioned<D,C>`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, description="Base type for all provisioneds.") public class BaseProvisioned<D extends Provisionable,C extends Container> extends BaseDeployed<D,C> implements Provisioned<D,C>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseProvisioned()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getOrdinal()`
  `void`
  `setOrdinal(int ordinal)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Deployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

- ## Constructor Details

  - ### BaseProvisioned

    public BaseProvisioned()

- ## Method Details

  - ### setOrdinal

    public void setOrdinal(int ordinal)
    Specified by:
      `setOrdinal` in interface `Provisioned<D extends Provisionable,C extends Container>`

  - ### getOrdinal

    public int getOrdinal()
    Specified by:
      `getOrdinal` in interface `Provisioned<D extends Provisionable,C extends Container>`